
import React from 'react';
import { FiDollarSign, FiShare2, FiCloud, FiTrendingUp } from 'react-icons/fi';

const HowToEarnContent = () => {
  return (
    <div className="space-y-8">
      <div className="space-y-4">
        <h3 className="text-xl font-semibold text-gray-900 dark:text-white">
          Monetization Opportunities
        </h3>
        <p className="text-gray-600 dark:text-gray-300 leading-relaxed">
          Turn your MCP servers and AI tools into revenue streams through our comprehensive monetization platform.
        </p>
      </div>

      <div className="grid gap-6">
        <div className="p-6 rounded-2xl border border-gray-200/20 dark:border-gray-700/20 backdrop-blur-sm bg-white/5 dark:bg-black/5">
          <div className="flex items-center gap-3 mb-3">
            <FiDollarSign className="w-5 h-5 text-green-500" />
            <h4 className="font-medium text-gray-900 dark:text-white">Token-Based Revenue</h4>
          </div>
          <p className="text-sm text-gray-600 dark:text-gray-300 mb-3">
            Earn tokens every time users interact with your MCP servers. Set your own pricing and revenue models.
          </p>
          <div className="text-xs text-green-600 dark:text-green-400 font-medium">
            $0.01 - $1.00 per API call
          </div>
        </div>

        <div className="p-6 rounded-2xl border border-gray-200/20 dark:border-gray-700/20 backdrop-blur-sm bg-white/5 dark:bg-black/5">
          <div className="flex items-center gap-3 mb-3">
            <FiShare2 className="w-5 h-5 text-blue-500" />
            <h4 className="font-medium text-gray-900 dark:text-white">Revenue Sharing</h4>
          </div>
          <p className="text-sm text-gray-600 dark:text-gray-300 mb-3">
            Get a percentage of revenue from users who discover and use your tools through the platform.
          </p>
          <div className="text-xs text-blue-600 dark:text-blue-400 font-medium">
            Up to 70% revenue share
          </div>
        </div>

        <div className="p-6 rounded-2xl border border-gray-200/20 dark:border-gray-700/20 backdrop-blur-sm bg-white/5 dark:bg-black/5">
          <div className="flex items-center gap-3 mb-3">
            <FiCloud className="w-5 h-5 text-purple-500" />
            <h4 className="font-medium text-gray-900 dark:text-white">Cloud Hosting</h4>
          </div>
          <p className="text-sm text-gray-600 dark:text-gray-300 mb-3">
            Host your MCP servers on our infrastructure and earn from usage-based pricing models.
          </p>
          <div className="text-xs text-purple-600 dark:text-purple-400 font-medium">
            Scale automatically with demand
          </div>
        </div>

        <div className="p-6 rounded-2xl border border-gray-200/20 dark:border-gray-700/20 backdrop-blur-sm bg-white/5 dark:bg-black/5">
          <div className="flex items-center gap-3 mb-3">
            <FiTrendingUp className="w-5 h-5 text-orange-500" />
            <h4 className="font-medium text-gray-900 dark:text-white">Premium Features</h4>
          </div>
          <p className="text-sm text-gray-600 dark:text-gray-300 mb-3">
            Offer premium versions of your tools with advanced features and priority support.
          </p>
          <div className="text-xs text-orange-600 dark:text-orange-400 font-medium">
            Subscription tiers available
          </div>
        </div>
      </div>
    </div>
  );
};

export default HowToEarnContent;
