
import React from 'react';
import { FiCode, FiZap, FiLink, FiServer } from 'react-icons/fi';

const WhatIsMCPContent = () => {
  return (
    <div className="space-y-8">
      <div className="space-y-4">
        <h3 className="text-xl font-semibold text-gray-900 dark:text-white">
          Model Context Protocol (MCP)
        </h3>
        <p className="text-gray-600 dark:text-gray-300 leading-relaxed">
          MCP is a standardized protocol that enables seamless communication between AI language models and external data sources, tools, and services.
        </p>
      </div>

      <div className="grid gap-6">
        <div className="p-6 rounded-2xl border border-gray-200/20 dark:border-gray-700/20 backdrop-blur-sm bg-white/5 dark:bg-black/5">
          <div className="flex items-center gap-3 mb-3">
            <FiServer className="w-5 h-5 text-blue-500" />
            <h4 className="font-medium text-gray-900 dark:text-white">Server Architecture</h4>
          </div>
          <p className="text-sm text-gray-600 dark:text-gray-300">
            Build robust MCP servers that act as bridges between AI models and your data sources, APIs, and tools.
          </p>
        </div>

        <div className="p-6 rounded-2xl border border-gray-200/20 dark:border-gray-700/20 backdrop-blur-sm bg-white/5 dark:bg-black/5">
          <div className="flex items-center gap-3 mb-3">
            <FiLink className="w-5 h-5 text-green-500" />
            <h4 className="font-medium text-gray-900 dark:text-white">Universal Integration</h4>
          </div>
          <p className="text-sm text-gray-600 dark:text-gray-300">
            Connect any AI chatbot to your custom tools, databases, and services through standardized protocols.
          </p>
        </div>

        <div className="p-6 rounded-2xl border border-gray-200/20 dark:border-gray-700/20 backdrop-blur-sm bg-white/5 dark:bg-black/5">
          <div className="flex items-center gap-3 mb-3">
            <FiZap className="w-5 h-5 text-purple-500" />
            <h4 className="font-medium text-gray-900 dark:text-white">Real-time Capabilities</h4>
          </div>
          <p className="text-sm text-gray-600 dark:text-gray-300">
            Enable AI models to access live data, execute functions, and interact with external systems in real-time.
          </p>
        </div>
      </div>
    </div>
  );
};

export default WhatIsMCPContent;
