
import React from 'react';
import { FiCode, FiUsers, FiTrendingUp, FiStar } from 'react-icons/fi';

const WhoIsThisForContent = () => {
  return (
    <div className="space-y-8">
      <div className="space-y-4">
        <h3 className="text-xl font-semibold text-gray-900 dark:text-white">
          Who Can Benefit from MCP?
        </h3>
        <p className="text-gray-600 dark:text-gray-300 leading-relaxed">
          Our platform is designed for anyone looking to leverage AI in their workflow, regardless of technical background.
        </p>
      </div>

      <div className="grid gap-6">
        <div className="p-6 rounded-2xl border border-gray-200/20 dark:border-gray-700/20 backdrop-blur-sm bg-white/5 dark:bg-black/5">
          <div className="flex items-center gap-3 mb-3">
            <FiCode className="w-5 h-5 text-blue-500" />
            <h4 className="font-medium text-gray-900 dark:text-white">Developers</h4>
          </div>
          <p className="text-sm text-gray-600 dark:text-gray-300">
            Build sophisticated MCP servers with full control over functionality, data access, and integration patterns.
          </p>
        </div>

        <div className="p-6 rounded-2xl border border-gray-200/20 dark:border-gray-700/20 backdrop-blur-sm bg-white/5 dark:bg-black/5">
          <div className="flex items-center gap-3 mb-3">
            <FiUsers className="w-5 h-5 text-green-500" />
            <h4 className="font-medium text-gray-900 dark:text-white">Non-Technical Users</h4>
          </div>
          <p className="text-sm text-gray-600 dark:text-gray-300">
            Create powerful AI-driven applications using our no-code tools and pre-built templates.
          </p>
        </div>

        <div className="p-6 rounded-2xl border border-gray-200/20 dark:border-gray-700/20 backdrop-blur-sm bg-white/5 dark:bg-black/5">
          <div className="flex items-center gap-3 mb-3">
            <FiTrendingUp className="w-5 h-5 text-purple-500" />
            <h4 className="font-medium text-gray-900 dark:text-white">Entrepreneurs</h4>
          </div>
          <p className="text-sm text-gray-600 dark:text-gray-300">
            Monetize your MCP servers and AI tools through our token-based marketplace and revenue sharing.
          </p>
        </div>

        <div className="p-6 rounded-2xl border border-gray-200/20 dark:border-gray-700/20 backdrop-blur-sm bg-white/5 dark:bg-black/5">
          <div className="flex items-center gap-3 mb-3">
            <FiStar className="w-5 h-5 text-yellow-500" />
            <h4 className="font-medium text-gray-900 dark:text-white">Content Creators</h4>
          </div>
          <p className="text-sm text-gray-600 dark:text-gray-300">
            Build interactive AI experiences for your audience with custom chatbots and automated workflows.
          </p>
        </div>
      </div>
    </div>
  );
};

export default WhoIsThisForContent;
