
import React from 'react';
import WhatIsMCPContent from '../components/content/WhatIsMCPContent';
import WhoIsThisForContent from '../components/content/WhoIsThisForContent';
import HowToEarnContent from '../components/content/HowToEarnContent';
import WhatCanHelpContent from '../components/content/WhatCanHelpContent';
import Developers from '@/components/content/Developers';
import SampleMCPs from '@/components/content/SampleMCPs';

export const getPromptContent = (prompt: string) => {
  switch (prompt) {
    case "What is MCP?":
      return {
        title: "What is MCP?",
        component: <WhatIsMCPContent />
      };
    case "Who is this for?":
      return {
        title: "Who is this for?",
        component: <WhoIsThisForContent />
      };
    case "Show me how I can earn":
      return {
        title: "How to Earn",
        component: <HowToEarnContent />
      };
    case "What can you help me with?":
      return {
        title: "Platform Features",
        component: <WhatCanHelpContent />
      };
    case "Developers":
      return {
        title: "Developers",
        component: <Developers />
      };
    case "Sample MCPs":
      return {
        title: "Sample MCP Servers",
        component: <SampleMCPs />
      };
    default:
      return {
        title: "Information",
        component: <div className="text-gray-600 dark:text-gray-300">Content for "{prompt}" coming soon...</div>
      };
  }
};
